import axios from 'axios';
//后台接口地址
// axios.defaults.baseURL='http://139.9.247.137/msdw';
// axios.defaults.baseURL='https://www.feifanhitech.com/msdw';
// axios.defaults.baseURL='http://www.zxyicloud.com/msdw';
axios.defaults.baseURL='http://47.107.237.129/msdw';
//轮播图信息
export function carousel(parms){
    return axios.get('/carouse/carouse/'+parms
    ).then(res=>{
        return res.data.data
    });
}
//标题信息
export function titlelink(parms){
    return axios.get('/headline/'+parms
    ).then(res=>{
        return res.data.data
    });
}
//一级栏目
export function columnlink(parms){
    return axios.get('/column/'+parms
    ).then(res=>{
        return res.data.data
    });
}

//二级栏目
export function columnlinkcontent(parms){
    return axios.get('/column/column/'+parms
    ).then(res=>{
        return res.data.data
    });
}
//根据id查找分类
export function linkclassify(parms){
    return axios.get('/classify/classifies/'+parms
    ).then(res=>{
        return res.data.data
    });
}
//二级栏目七
export function _queryStock( params ){
    return axios.get('/column/column/7', {
        params
    }).then(res=>{
        return res.data.data
    });
}
//获取文章
export function teacheritems( params ){
    return axios.get('/article/articles/'+params
     ).then(res=>{
        return res.data.data
    });
}
//获取所有二级栏目
export function allColumn(){
    return axios.get('/column/column'
    ).then(res=>{
        return res.data.data
    });
}
//查看该栏目下的文章详情
export function getColumnarticle(parms,pangNum){
    return axios.get('/column/column/showArticle/'+parms+'?pangNum='+pangNum,
    ).then(res=>{
        return res.data.data
    });
}
//根据文章id获得文章
export function getArticlemessage(parms){
    return axios.get('/article/articles/'+parms,
    ).then(res=>{
        return res.data.data
    });
}
//返回一级栏目
export function returnColumn(parms){
    return axios.get('/column/'+parms,
    ).then(res=>{
        return res.data.data
    });
}
//根据父级id查找它的子级
export function getColumnchildren(parms){
    return axios.get('/column/children/'+parms,
    ).then(res=>{
        return res.data.data
    });
}
//获取主页上各部分的id，根据id查询各部分的详情
export function getHomecolumn(){
    return axios.get('/homepage/getAllPage'
    ).then(res=>{
        return res.data.data
    });
}
//根据id查找图片
export function getHomebanner(parms){
    return axios.get('/img/images/'+parms
    ).then(res=>{
        return res.data.data
    });
}
//新增图片信息
export function postHomebanner(parms){
    return axios.post('/img/images',parms
    ).then(res=>{
        return res.data.data
    });
}
//获取主页轮播图信息
export function getHomecarouse(parms){
    return axios.get('/carouse/carouse/'+parms
    ).then(res=>{
        return res.data.data
    });
}
//根据id查找标题
export function getHomeheadline(parms){
    return axios.get('/headline/'+parms
    ).then(res=>{
        return res.data.data
    });
}
//根据id查找链接
export function getHomelinks(parms){
    return axios.get('/link/'+parms
    ).then(res=>{
        return res.data.data
    });
}
//获取所有未被删除的分类
export function getHomeclassify(){
    return axios.get('/classify/classifies'
    ).then(res=>{
        return res.data.data
    });
}
//获得所有友情链接，未被删除的，管理系统
export function getHomefriendlink(){
    return axios.get('/friendshipLink/getAll'
    ).then(res=>{
        return res.data.data
    });
}
//获取所有友情链接分类及子级信息
export function getHomelink(){
    return axios.get('/friendshipLink/friendshipLinkGet/all'
    ).then(res=>{
        return res.data.data
    });
}
//获取访问人数
export function getTotal(){
    return axios.get('/page/total',
    ).then(res=>{
        return res.data.data
    });
}