import Vue from 'vue'
import App from './App.vue'
//导入路由
import router from './router'
//导入vuex
import store from './store'
//导入element-ui
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import 'normalize.css'
//导入公共样式
import '@/assets/styles/common.less'
//导入视频播放器
import VideoPlayer from 'vue-video-player'
import  'video.js/dist/video-js.css'
import 'vue-video-player/src/custom-theme.css'
//rem适配px
import 'lib-flexible/flexible.js'
//使用外部组件
Vue.use(VideoPlayer)
Vue.use(ElementUI);
//去掉vue警告（用于生产不提示）


Vue.config.productionTip = false;
new Vue({
  router,
  store,
  // i18n,
  render: h => h(App)
}).$mount('#app')
