import Vue from 'vue'
import Vuex from 'vuex'
import { returnColumn } from "@/apis/request.js";
Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    id:sessionStorage.getItem('id'),
    name:"",
    bottomcolumnid:0,
    bgImgUrl:'',
    columnmessage:{
      id:0,//导航栏目id
      english:'',
      columnName:"",//二级左侧导航栏目名
      data:[],//栏目文章内容
      showType:'',//是否显示
      styleType:"",//是否选中
      total:0,//栏目中文章篇数
      bgImgUrl:"",//背景图片
      TopColumnname:''
    }
  },
  mutations: {
    increment (state,payload) {
      // 变更状态
      state.columnmessage.bgImgUrl=payload.bgImgUrl;
    }
  },
  actions: {
    increment (context) {
      returnColumn().then(res=>{
        context.commit({
          type: 'increment',
          amount: res[0].bgImgUrl
        })
      })
     
    }
  },
  modules: {
  }
})
